package com.huimv.apiservice.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 饮用水指标vo
 * </p>
 *
 * @author yinhao
 * @date 2021/6/11 16:32
 */
@Data
public class DrinkingWaterVo implements Serializable {
    private static final long serialVersionUID = -2504528285198898816L;

    /**
     * 主键
     */
    private String id;
    /**
     * 当前日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GTM+8")
    private Date date;
    /**
     * 牧场id
     */
    private Integer farmId;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 豬舍id
     */
    private Integer pigstyId;
    /**
     * 猪舍名称
     */
    private String pigstyName;
    /**
     * 饮用水质量
     */
    private String drinkingWaterQuality;
    /**
     * 采集时间
     */
    private Date collectTime;
}
