package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.management.entity.HealthIsolationRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.dto.IsolationDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Mapper
@Repository
public interface HealthIsolationRecordDao extends BaseMapper<HealthIsolationRecordEntity> {

    List<IsolationDto> isolationCount(@Param("ew")QueryWrapper<HealthIsolationRecordEntity> isolationWrapper);
}
