package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.management.entity.WarningInfoEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.vo.WarningInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 * 报警信息Mapper
 * </p>
 * 
 * @author yinhao
 * @version 1.0
 * @date 2021-06-15 13:01:37
 */
@Mapper
@Repository
public interface WarningInfoDao extends BaseMapper<WarningInfoEntity> {

    IPage<WarningInfoVo> page(@Param("page") IPage page,@Param("ew") QueryWrapper queryWrapper);

    List<WarningInfoVo> page(@Param("ew") QueryWrapper queryWrapper);
}
