package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-17 13:27:04
 */
@Data
@TableName("breed_feed_weighe")
public class BreedFeedWeigheEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	@TableId
	private Integer id;
	/**
	 * 低频耳标号
	 */
	private String eartagNo;
	/**
	 * 上传时间
	 */
	private Date date;
	/**
	 * 采食量
	 */
	private Float feedIntake;
	/**
	 * 当前重量
	 */
	private Float weight;
	/**
	 * 体重增加量
	 */
	private Float weightIncrease;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 牧场名称
	 */
	private String farmName;
	/**
	 * 猪舍id
	 */
	private Integer pigHomeId;
	/**
	 * 猪舍名称
	 */
	private String pigHomeName;
	/**
	 * 单元id
	 */
	private Integer unitId;
	/**
	 * 单元名称
	 */
	private String unitName;
	/**
	 * 备注
	 */
	private String remark;
	/**
	 * 备注2
	 */
	private String remark1;

}
