package com.huimv.management.entity.vo;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 转栏记录vo
 * </p>
 *
 * @author yinhao
 * @version 1.0
 * @date 2021/6/23 11:26
 */
@Data
public class TransferPeriodLogVo  implements Serializable {
    private static final long serialVersionUID = -8258217843543138466L;

    /**
     * 主键
     */
    private Integer id;
    /**
     * 猪id
     */
    private Integer pigId;
    /**
     * 猪耳标
     */
    private String earTag;
    /**
     * 旧猪舍id
     */
    private Integer oldPigstyId;
    /**
     * 旧猪舍名称
     */
    private String oldPigstyName;
    /**
     * 新猪舍
     */
    private Integer newPigstyId;
    /**
     * 旧猪舍名称
     */
    private String newPigstyName;
    /**
     * 旧单元
     */
    private Integer oldUnitId;
    /**
     * 旧单元名称
     */
    private String oldUnitName;
    /**
     * 新单元
     */
    private Integer newUnitId;
    /**
     * 新单元名称
     */
    private String newUnitName;
    /**
     * 旧栏期
     */
    private Integer oldPeriodId;
    /**
     * 旧栏期名称
     */
    private String oldPeriodName;
    /**
     * 新栏期
     */
    private Integer newPeriodId;
    /**
     * 新栏期名称
     */
    private String newPeriodName;
    /**
     * 操作人
     */
    private String operatorUsername;
}
