package com.huimv.management.service.impl;

import org.springframework.stereotype.Service;
import java.util.Map;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.PageUtils;
import com.huimv.common.utils.Query;

import com.huimv.management.dao.HealthTreatmentPlanDao;
import com.huimv.management.entity.HealthTreatmentPlanEntity;
import com.huimv.management.service.HealthTreatmentPlanService;


@Service("healthTreatmentPlanService")
public class HealthTreatmentPlanServiceImpl extends ServiceImpl<HealthTreatmentPlanDao, HealthTreatmentPlanEntity> implements HealthTreatmentPlanService {

    @Override
    public PageUtils queryPage(Map<String, Object> params) {
        IPage<HealthTreatmentPlanEntity> page = this.page(
                new Query<HealthTreatmentPlanEntity>().getPage(params),
                new QueryWrapper<HealthTreatmentPlanEntity>()
        );

        return new PageUtils(page);
    }

}