package com.huimv.apiservice;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author huimv
 * @since 2021/4/26
 */
@MapperScan("com.huimv.apiservice.dao")
@EnableScheduling
@SpringBootApplication
public class HuimvSmartApiServiceApplication {

    public static void main(String[] args) {
        SpringApplication.run(HuimvSmartApiServiceApplication.class, args);
    }

}
