package com.huimv.datacollection.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * <p>
 * 设备数据包
 * </p>
 *
 * @author yinhao
 * @date 2021/7/7 16:42
 */
@Data
@TableName("dc_device_data")
public class DeviceDataEntity {

    /**
     * 主键
     */
    @TableId
    private Integer id;
    /**
     * 命令头
     */
    private String cmdHeader;
    /**
     * 机器id
     */
    private String jqId;
    /**
     * 命令类型
     */
    private Integer cmdType;
    /**
     * 序号
     */
    private Integer sequence;
    /**
     * 数值
     */
    private Double value;
    /**
     * 时间
     */
    private String time;
    /**
     * 校验
     */
    private Integer verify;
    /**
     * 命令尾
     */
    private String cmdEnd;

}
