package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.management.entity.DeviceEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.vo.DeviceVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 慧牧环控设备
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-05 10:42:14
 */
@Mapper
public interface DeviceDao extends BaseMapper<DeviceEntity> {

    /**
     * 分页条件查询
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<DeviceVo> page(@Param("page") IPage page,@Param("ew") QueryWrapper queryWrapper);
}
