package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.management.entity.HealthMedicalRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.dto.DiseaseDto;
import com.huimv.management.entity.dto.TreatResultDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 
 * 
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-06-10 09:44:06
 */
@Mapper
@Repository
public interface HealthMedicalRecordDao extends BaseMapper<HealthMedicalRecordEntity> {

    List<DiseaseDto>   diseaseCount(@Param("ew") QueryWrapper<HealthMedicalRecordEntity> medicalWrapper);

    List<TreatResultDto> treatResultCount(@Param("ew") QueryWrapper<HealthMedicalRecordEntity> medicalWrapper);
}
