package com.huimv.management.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huimv.management.entity.TransferPeriodLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.management.entity.vo.TransferPeriodLogVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 转栏记录表
 * 
 * @author yinhao
 * @version 1.0@
 * @date 2021-06-18 18:18:52
 */
@Mapper
@Repository
public interface TransferPeriodLogDao extends BaseMapper<TransferPeriodLogEntity> {

    /**
     * 批量新增
     * @param logEntityList
     */
    void batchInsert(List<TransferPeriodLogEntity> logEntityList);

    /**
     * 分页条件构造查询
     * @param page
     * @param queryWrapper
     * @return
     */
    IPage<TransferPeriodLogVo> page(@Param("page") IPage page, @Param("ew") QueryWrapper<TransferPeriodLogVo> queryWrapper);
}
