package com.huimv.management.entity;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 慧牧环控设备
 * 
 * @author yinhao
 * @version ${version}
 * @date 2021-07-05 10:42:14
 */
@Data
@TableName("mgt_device")
public class DeviceEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 设备id
	 */
	@TableId(type = IdType.INPUT)
	private String deviceId;
	/**
	 * 牧场id
	 */
	private Integer farmId;
	/**
	 * 猪舍id
	 */
	private Integer pigstyId;
	/**
	 * 删除状态 0:未删除 其他:已删除
	 */
	@TableLogic
	private Integer deleted;
	/**
	 * 创建时间
	 */
	@TableField(fill = FieldFill.INSERT)
	private Date gmtCreate;
	/**
	 * 修改时间
	 */
	@TableField(fill = FieldFill.INSERT_UPDATE)
	private Date gmtModified;

}
