package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.OutdoorEnvironmentEntity;
import org.springframework.web.servlet.ModelAndView;

import java.util.Map;

/**
 * 室外环境信息表
 *
 * @author yinhao
 * @version 1.0
 * @date 2021-05-07 15:32:42
 */
public interface OutdoorEnvironmentService extends IService<OutdoorEnvironmentEntity> {

    /**
     * 分页查询室外环境信息
     * @param params
     * @return
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 导出Excel
     * @param params
     * @return
     */
    ModelAndView exportXls(Map<String, Object> params);
}

